import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_8758e78756a367f9e484d8186f77ef69bdd0c29a {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAABdwQAAAABdAA/KytVVVVVVVVVVVVVZ0BLLlVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVeA==");

    public static void main(String[] args) throws Throwable {
        Crash_8758e78756a367f9e484d8186f77ef69bdd0c29a.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        EmailMatcherFuzzTest.fuzzerTestOneInput(input);
    }
}